package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpUseStatusEnum {
   FORBIDDEN(1, "禁用"),
   ENABLE(2, "启用");

   private final Integer key;
   private final String value;

   private DrpUseStatusEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpUseStatusEnum[] enums = values();
      DrpUseStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpUseStatusEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpUseStatusEnum[] enums = values();
      DrpUseStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpUseStatusEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
